Name:           retext
Version:        5.0.0
Release:        1%{?dist}
Summary:        A simple markdown editor

License:        GPLv3+
URL:            http://sourceforge.net/projects/retext/
Source0:        http://downloads.sourceforge.net/project/%{name}/ReText-5.0/ReText-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.appdata.xml

BuildRequires:  python3-devel
BuildRequires:  python3-markups
BuildRequires:  desktop-file-utils
BuildRequires:  python3-qt5
BuildRequires:  python-qt5-devel
Requires:       python3-markupsafe
Requires:       python3-markdown
Requires:       python3-docutils
Requires:       python3-enchant
Requires:       python3-qt5


%description
ReText is a simple editor that reads your text with MarkDown or HTML markup
and saves it as plain text, HTML or PDF.


%prep
%setup -q -n ReText-%{version}


%build
%{__python3} setup.py build


%install
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    %{SOURCE1}
mkdir -p %{buildroot}%{_datarootdir}/appdata/
install -m 644 %{SOURCE1} %{buildroot}%{_datarootdir}/appdata/%{name}.appdata.xml


%check
%{__python3} setup.py test


%files
%{_bindir}/%{name}
%{_bindir}/wpgen
%{python3_sitelib}/ReText/
%{python3_sitelib}/ReText-5.0.0-py3.4.egg-info
%{_datadir}/%{name}/locale/*
%{_datadir}/wpgen/
%{_datarootdir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%doc LICENSE_GPL changelog.md README


%changelog
* Thu Aug 07 2014 Nikos Roussos <comzeradd@fedoraproject.org> 5.0.0-1
- Initial version of the package
